org.apache.nutch.api.impl

## Class RAMJobManager

- java.lang.Object
- - org.apache.nutch.api.impl.RAMJobManager

- All Implemented Interfaces:
    JobManager

      public class RAMJobManager
      extends java.lang.Object
      implements JobManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.nutch.api.JobManager

      `JobManager.JobType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RAMJobManager(JobFactory jobFactory, NutchServerPoolExecutor executor, ConfManager configManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `abort(java.lang.String crawlId, java.lang.String id)`
    `java.lang.String` | `create(JobConfig jobConfig)`
    `JobInfo` | `get(java.lang.String crawlId, java.lang.String jobId)`
    `java.util.Collection<JobInfo>` | `list(java.lang.String crawlId, JobInfo.State state)`
    `boolean` | `stop(java.lang.String crawlId, java.lang.String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RAMJobManager

          public RAMJobManager(JobFactory jobFactory,
                               NutchServerPoolExecutor executor,
                               ConfManager configManager)

  - ### Method Detail

    - #### list

          public java.util.Collection<JobInfo> list(java.lang.String crawlId,
                                                    JobInfo.State state)

      Specified by:
        `list` in interface `JobManager`

    - #### get

          public JobInfo get(java.lang.String crawlId,
                             java.lang.String jobId)

      Specified by:
        `get` in interface `JobManager`

    - #### create

          public java.lang.String create(JobConfig jobConfig)

      Specified by:
        `create` in interface `JobManager`

    - #### abort

          public boolean abort(java.lang.String crawlId,
                               java.lang.String id)

      Specified by:
        `abort` in interface `JobManager`

    - #### stop

          public boolean stop(java.lang.String crawlId,
                              java.lang.String id)

      Specified by:
        `stop` in interface `JobManager`

Copyright © 2019 The Apache Software Foundation